# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class StructuredPostalAddress.Usage

    java.lang.Object
      com.google.gdata.data.extensions.StructuredPostalAddress.Usage

Enclosing class:
  StructuredPostalAddress

    public static final class StructuredPostalAddress.Usage

extends java.lang.Object

The context for the address use.

Field Summary
`static java.lang.String` `GENERAL` General structured postal address.
`static java.lang.String` `LOCAL` Local structured postal address.

Constructor Summary
`StructuredPostalAddress.Usage()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL

    public static final java.lang.String GENERAL

  General structured postal address.

  See Also:
    Constant Field Values

### LOCAL

    public static final java.lang.String LOCAL

  Local structured postal address.

  See Also:
    Constant Field Values

Constructor Detail

### StructuredPostalAddress.Usage

    public StructuredPostalAddress.Usage()